rowStats {fBasics} | R Documentation

## Row Statistics

### Description

Functions to compute row statistical properties of financial and economic time series data.

The functions are:

`rowStats` | calculates row statistics,
`rowSds` | calculates row standard deviations,
`rowVars` | calculates row variances,
`rowSkewness` | calculates row skewness,
`rowKurtosis` | calculates row kurtosis,
`rowMaxs` | calculates maximum values in each row,
`rowMins` | calculates minimum values in each row,
`rowProds` | computes product of all values in each row,
`rowQuantiles` | computes quantiles of each row.

### Usage

    rowStats(x, FUN, ...)

    rowSds(x, ...)
    rowVars(x, ...)
    rowSkewness(x, ...)
    rowKurtosis(x, ...)
    rowMaxs(x, ...)
    rowMins(x, ...)
    rowProds(x, ...)
    rowQuantiles(x, prob = 0.05, ...)

    rowStdevs(x, ...)
    rowAvgs(x, ...)

### Arguments

`FUN` | a function name. The statistical function to be applied.
`prob` | a numeric value, the probability with value in [0,1].
`x` | a rectangular object which can be transformed into a matrix by the function `as.matrix`.
`...` | arguments to be passed.

### Value

the functions return a numeric vector of the statistics.

### See Also

`link{colStats}`.

### Examples

    ## Simulated Return Data in Matrix Form:
       x = matrix(rnorm(10*10), nrow = 10)

    ## rowStats -
       rowStats(x, FUN = mean)

    ## rowMaxs -
       rowMaxs(x)

[Package fBasics version 3042.89 Index]